Grass Path Error in QGIS 3.0.2 Girona

2018-05-16 09:43 PM - Philip Kampf

Status: Closed

Priority: Normal

Assignee:

Category: Processing/GRASS

Affected QGIS version:3.0.2 Regression?: Yes

Operating System: OSX 10.11.6 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 26796

Description

Trying to use r.reclass for .tif file converted to DEM with clean install of QGIS 3.0. This algorithm worked in QGIS 2.18.19, and realize this

was an issue with initial release of QGIS 3.0, but cannot find record of this happening to others.

Below is the error in the log:

WARNING: Default locale settings are missing. GRASS running with C locale.

Starting GRASS GIS...

ERROR: Path '/<UNKNOWN>/<UNKNOWN>' doesn't exist

Default locale not found, using UTF-8

Exiting...

WARNING: Default locale settings are missing. GRASS running with C locale.

Starting GRASS GIS...

ERROR: Path '/<UNKNOWN>/<UNKNOWN>' doesn't exist

Default locale not found, using UTF-8

Exiting...

Execution completed in 0.84 seconds

Results:{'output': <QgsProcessingOutputLayerDefinition

{'sink':/var/folders/kw/21b6r6bn6tbbr8yglht9tgp80000gn/T/processing_c70de9329db44ec6b3acb1c136d594e1/044fc9e2cdcc4bb49602b4603e70531c/output.tif, 'createOptions': {'fileEnc

602b4603e70531c/output.tif, 'createOptions': {'fileEncoding': 'System'}}>}

Loading resulting layers

The following layers were not correctly generated.

/var/folders/kw/21b6r6bn6tbbr8yglht9tgp80000gn/T/processing_c70de9329db44ec6b3acb1c136d594e1/044fc9e2cdcc4bb49602b

603e70531c/output.tif

You can check the 'Log Messages Panel' in QGIS main window to find more information about the execution of the algorithm.

History
#1 - 2018-05-30 05:08 AM - Garth Fletcher

same problem here with QGIS 3.0.3 under Mac OS X 10.12.6

#2 - 2018-06-01 04:12 AM - Callum Nissen

same problem in 3.03 with macOS Sierra

#3 - 2018-12-28 11:58 AM - Paolo Cavallini

Could you please check on current release?

Thanks.

#4 - 2018-12-28 02:55 PM - Giovanni Manghi

- Status changed from Open to Feedback

Paolo Cavallini wrote:

Could you please check on current release?

Thanks.

Please change status to "feedback" when needed.

#5 - 2019-01-14 11:53 PM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
